<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Layout.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_layout_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Layout.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_layout_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef LAYOUT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define LAYOUT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_widget_8h.html">Widget.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_mutex_8h.html">Mutex.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_layout.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_layout.html">Layout</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1gui_1_1_widget.html">Widget</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_box.html">Box</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46">Layout</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5">~Layout</a>();</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *<a class="code" href="classflair_1_1gui_1_1_layout.html#a6040365f1a8f79ad029c5f99e0414c51">LastRowLastCol</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *<a class="code" href="classflair_1_1gui_1_1_layout.html#a7e3724c5fbceb2e24ff0df1ebfedc3ad">NewRow</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *<a class="code" href="classflair_1_1gui_1_1_layout.html#a114569847168fa89618e6b09cee23c8e">At</a>(uint16_t row, uint16_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classflair_1_1core_1_1_mutex.html">core::Mutex</a> *mutex;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif // LAYOUT_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html_a114569847168fa89618e6b09cee23c8e"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html#a114569847168fa89618e6b09cee23c8e">flair::gui::Layout::At</a></div><div class="ttdeci">LayoutPosition * At(uint16_t row, uint16_t col) const </div><div class="ttdoc">LayoutPosition at specified position. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_mutex_html"><div class="ttname"><a href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></div><div class="ttdoc">Class defining a mutex. </div><div class="ttdef"><b>Definition:</b> Mutex.h:29</div></div>
<div class="ttc" id="_widget_8h_html"><div class="ttname"><a href="_widget_8h.html">Widget.h</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html_a6040365f1a8f79ad029c5f99e0414c51"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html#a6040365f1a8f79ad029c5f99e0414c51">flair::gui::Layout::LastRowLastCol</a></div><div class="ttdeci">LayoutPosition * LastRowLastCol(void) const </div><div class="ttdoc">Last Row and Col LayoutPosition. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div><div class="ttdef"><b>Definition:</b> Box.h:35</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html_aafea7ef30ae5a3f3d394559b0f3931b5"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5">flair::gui::Layout::~Layout</a></div><div class="ttdeci">~Layout()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="_mutex_8h_html"><div class="ttname"><a href="_mutex_8h.html">Mutex.h</a></div><div class="ttdoc">Class defining a mutex. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div><div class="ttdef"><b>Definition:</b> Widget.h:38</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html_ad6d4a13b128abbd64619fe90cbc44f46"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46">flair::gui::Layout::Layout</a></div><div class="ttdeci">Layout(const Widget *parent, std::string name, std::string type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html_a7e3724c5fbceb2e24ff0df1ebfedc3ad"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html#a7e3724c5fbceb2e24ff0df1ebfedc3ad">flair::gui::Layout::NewRow</a></div><div class="ttdeci">LayoutPosition * NewRow(void) const </div><div class="ttdoc">New Row LayoutPosition. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_layout_8h.html">Layout.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
